{*******************************************************}
{                                                       }
{                      RSDrawGrid                       }
{                                                       }
{        Copyright (c) 2000, 2001 by RealSoft           }
{	 	    E-mail & http:			}
{          dclrs@realsoft2000.virtualave.net            }
{*******************************************************}
unit RSDrawGrid;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids;

type

  EMouseLeave = procedure (Sender: TObject) of object;

  TRSDrawGrid = class(TDrawGrid)
  private
   FOnMouseLeave: EMouseLeave;

   procedure CMMouseLeave(var Message: TMessage); message CM_MOUSELEAVE;
    { Private declarations }
  protected
    { Protected declarations }
  public
   constructor Create (AOwner: TComponent); override;
   destructor Destroy; override;
    { Public declarations }
  published
   property OnMouseLeave: EMouseLeave read FOnMouseLeave write FOnMouseLeave;
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('RS Control', [TRSDrawGrid]);
end;

procedure TRSDrawGrid.CMMouseLeave (var Message: TMessage);
Begin
 if not (csDesigning in ComponentState) and Assigned(FOnMouseLeave) then
    FOnMouseLeave(Self);
End;

constructor TRSDrawGrid.Create (AOwner: TComponent);
Begin
 inherited Create (AOwner);
End;

destructor TRSDrawGrid.Destroy;
Begin
 inherited Destroy;
End;

end.
